Module
Inhalte
Index 🔎︎

# Funktion FormatDateTime [VBA]

Überträgt ein Datums- und/oder Zeitformat in einen Datumsausdruck und gibt eine Zeichenkette zurück.

Diese Funktion oder Konstante ist aktiviert, wenn die Anweisung Option VBASupport 1 vor dem ausführbaren Programmcode in einem Modul platziert wurde.

## Syntax:

    FormatDateTime (DateExpression as Date [, NamedFormat as Integer])

## Rückgabewert:

String

## Parameter:

DateExpression: Der zu formatierende Datumsausdruck.

NamedFormat: Eine optionale Aufzählung vbDateTimeFormat, die das Format festlegt, das auf den Datums- und Zeitausdruck anzuwenden ist. Falls fehlend, wird der Wert vbGeneralDate verwendet.

### Datums- und Zeitformate (vbDateTimeFormat Aufzählung)

Benannte Konstante | Wert | Beschreibung
vbGeneralDate | 0 | Zeigt ein Datum und/oder eine Zeit, wie sie in Ihren Systemeinstellungen festgelegt ist. Falls nur ein Datum, wird keine Zeit angezeigt; Falls nur eine Zeit, wird kein Datum angezeigt.
vbLongDate | 1 | Zeigt ein Datum im langen Datumsformat an, wie in Ihren Systemeinstellungen festgelegt.
vbShortDate | 2 | Zeigt ein Datum im kurzen Datumsformat an, wie in Ihren Systemeinstellungen festgelegt.
vbLongTime | 3 | Zeigt eine Zeit an, wie in Ihren Systemeinstellungen festgelegt.
vbShortTime | 4 | Zeigt eine Zeit im 24-Stunden-Format an (hh:mm).

## Fehlercodes:

13 Datentyp unverträglich

## Beispiel:

    REM  *****  BASIC  *****

    Option VBASupport 1

    Sub DateFormat

     Dim d as Date

     d = ("1958-01-29 00:25")

     msgbox("Allgemeines Datumsformat: " & FormatDateTime(d))

     msgbox("Langes Datumsformat: " & FormatDateTime(d,vbLongDate))

     msgbox("Kurzes Datumsformat: " & FormatDateTime(d,vbShortDate))

     msgbox("Langes Zeitformat: " & FormatDateTime(d,3))

     msgbox("Kurzes Zeitformat: " & FormatDateTime(d,vbShortTime))

    End Sub

Verwandte Themen

VBA - Zeit- und Datumsfunktionen